<?php
// the message you want to sign so that recipient can be sure it was you that
// sent it
function println ($string_message) {
    $_SERVER['SERVER_PROTOCOL'] ? print "$string_message<br />" : print "$string_message\n";
}

$accountid= "6657";
$imageid="5D3PZZW4";
$date = gmdate("Y-m-d H:i:s");
 // print ($date);
  $token ="X${accountid}&${imageid}&${date}Z" ; 

 println ("token : $token");

// $data is assumed to contain the data to be signed

// fetch private key from file and ready it
$fp = fopen("6657.pem", "r");
$priv_key = fread($fp, 8192);
fclose($fp);
$pkeyid = openssl_get_privatekey($priv_key);

// compute signature
openssl_sign($token, $signature, $pkeyid, OPENSSL_ALGO_SHA1);
println ("signeren : $signature");

$base64Sig = base64_encode($signature);

// free the key from memory
openssl_free_key($pkeyid);

println ("base64 encode : $base64Sig");
$TID=("${token}&${base64Sig}");
println ("tid= $TID");

?>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Simple Example</title>
    <script type="text/javascript" src="https://unpkg.com/react@16.12.0/umd/react.production.min.js"></script>
    <!--suppress JSUnresolvedLibraryURL -->
    <script type="text/javascript" src="https://unpkg.com/react-dom@16.12.0/umd/react-dom.production.min.js"></script>
    <!--suppress JSUnresolvedLibraryURL -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/openlayers/4.3.3/ol.js"></script>
    <!--suppress JSUnresolvedLibraryURL -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.10/lodash.min.js"></script>
    <script type="text/javascript" src="https://streetsmart.cyclomedia.com/api/v20.3/StreetSmartApi.js"></script>
     
    <style>
        *[disabled] {
            opacity: 0.5;
        }
        html, body { 
        	height: 100%; /* hꨬ belangrijk */
        	overflow: none; 
        }
        
        .panoramaViewerWindow {
            display: inline-block;
            width: 100%;
            height:100%;
        }
    </style>
  
</head>
<body onload="initApi()" >
<div id="streetsmartApi" class="panoramaViewerWindow"></div>
<script>

    function initApi() {
            StreetSmartApi.init({
               targetElement: document.getElementById('streetsmartApi'),
               tid: "<?php echo $TID?>",
               apiKey: "<YOUR API KEY>",
               srs: "EPSG:28992",
               locale: 'nl',
			   configurationUrl: 'https://atlas.cyclomedia.com/configuration',
               addressSettings: 
			      {
         			locale: "nl",
         			database: "CMDatabase"
				  }
            }).then(
                    function() {
						var viewerType = StreetSmartApi.ViewerType.PANORAMA
                        console.log('Api: init: success!');
                        StreetSmartApi.open("<?php echo $imageid ?>", 
							{	
								viewerType: viewerType,
								srs: 'EPSG:28992',
							}).then(
						function(result) 
						{
						 console.log('Created component through API:', result);
						 if (result) 
							{
						    	for (let i =0; i < result.length; i++) 
								{
									if(result[i].getType() === StreetSmartApi.ViewerType.PANORAMA) window.panoramaViewer = result[i];
									SetWindowOptions();
								}                
				            }
						}.bind(this)
					).catch(
							function(reason) 
								{
									console.log('Failed to create component(s) through API: ' + reason);
								}
							);
								},
                    function(err) {
                        console.log('Api: init: failed. Error: ', err);
                        alert('Api Init Failed!');
                    }
            );
        } 
    
 function SetWindowOptions()
 {
 									window.panoramaViewer.toggleNavbarVisible(false);
									window.panoramaViewer.toggleRecordingsVisible(false);
									window.panoramaViewer.toggleTimeTravelVisible(false);
								}
</script>
</body>
</html>
          




